diff --git a/tools/boot/lenny/boot-x86 b/tools/boot/lenny/boot-x86
index 4ce012e..4d2b5a2 100644
--- a/tools/boot/lenny/boot-x86
+++ b/tools/boot/lenny/boot-x86
@@ -230,6 +230,16 @@ if [ "$THISTYPE" = "isolinux" ]; then
 			   s/=$INSTALLDIR_i386\//=$INSTALLDIR_amd64\//g" \
 			boot$N/win32-loader.ini
 
+		# Workaround for #505243
+		# Syslinux does not correctly handle a default64 option
+		# in combination with vesamenu.
+		# Instead, add special default label to automatically select
+		# i386/amd64 if user hits enter from help screens.
+		cp -f $CDDIR/../syslinux/usr/lib/syslinux/ifcpu64.c32 boot$N/isolinux/
+		sed -i "/^include menu.cfg/ a\default install-select\n\nlabel install-select\n\tkernel \ifcpu64.c32\n\tappend amd64-install -- install" \
+			boot$N/isolinux/prompt.cfg
+		sed -i "/default64 amd64-install/ s/^/#/" \
+			boot$N/isolinux/amdtext.cfg
 	else
 		if [ "$ARCH" = amd64 ]; then
 		        mkdir -p boot$N/isolinux
